const axios = require("axios")
const Account = require('./lib/account').default
const Asset = require('./lib/assets').default
const Company = require('./lib/company').default
const Filter = require('./lib/filters').default
const Navigation = require('./lib/navigation').default
const Query = require('./lib/queries').default

class EXSSDK {
    constructor() {
        this.account
        this.asset
        this.company
        this.filter
        this.navigation
        this.query
    }
    setBaseUrl(baseUrl) {
        this.baseUrl = baseUrl
    }
    setAuthHeader(token) {
        let authHeader = {
            headers: {
                Authorization: `Bearer ${token}`
            }
        }

        this.authHeader = authHeader
        this.initializeMethods();
    }
    initializeMethods() {
        this.account = new Account(axios, this.baseUrl, this.authHeader)
        this.asset = new Asset(axios, this.baseUrl, this.authHeader)
        this.company = new Company(axios, this.baseUrl, this.authHeader)
        this.filter = new Filter(axios, this.baseUrl, this.authHeader)
        this.navigation = new Navigation(axios, this.baseUrl, this.authHeader)
        this.query = new Query(axios, this.baseUrl, this.authHeader)
    }
}

module.exports = new EXSSDK();