export default class Company {
    /**
     * Constructor for this SDK section.
     * @param {object} axios An axios object to make HTTP requests.
     * @param {string} baseUrl The base URL for your instance of the Web API.
     * @param {object} authHeader Holds the token and authorization method.
     */
    constructor(axios, baseUrl, authHeader) {
        this.axios = axios;
        this.baseUrl = baseUrl + "company/";
        this.authHeader = authHeader;
    }

    /**
     * Gets a list of division that belong to a company. 
     * @param {number} companyId
     */
    async getCompanyDivisions(companyId) {
        let r = await this.axios.get(`${this.baseUrl}getCompanyDivisions?compId=${companyId}`, this.authHeader)
        return r.data
    }
}